const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const kick_counts = sequelize.define(
    'kick_counts',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

session_start: {
        type: DataTypes.DATE,
      
      

      },

session_end: {
        type: DataTypes.DATE,
      
      

      },

kicks_count: {
        type: DataTypes.INTEGER,
      
      

      },

notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  kick_counts.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.kick_counts.belongsTo(db.pregnancies, {
      as: 'pregnancy',
      foreignKey: {
        name: 'pregnancyId',
      },
      constraints: false,
    });




    db.kick_counts.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.kick_counts.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return kick_counts;
};


